Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 521314 - Investigate showing a different first-run page
: Investigate showing a different first-run page
: fixed-seamonkey2.0
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Robert Kaiser
: 144706 (view as bug list)
Depends on:
  Show dependency treegraph
Reported: 2009-10-08 14:44 PDT by Robert Kaiser
Modified: 2010-04-20 08:39 PDT (History)
3 users (show)
iann_bugzilla: wanted‑seamonkey2.0+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---

Use relnotes instead (1.10 KB, patch)
2009-10-09 07:08 PDT, Robert Kaiser
neil: review+
iann_bugzilla: approval‑seamonkey2.0+
Details | Diff | Splinter Review
use the formatter (1.08 KB, patch)
2009-10-14 16:25 PDT, Robert Kaiser
neil: review+
iann_bugzilla: approval‑seamonkey2.0+
Details | Diff | Splinter Review

Description Robert Kaiser 2009-10-08 14:44:46 PDT
We should think about showing something different than our default homepage as first-run page, e.g. the relnotes.
Comment 1 Ian Neal 2009-10-08 15:19:53 PDT
Yes, would be good.
Comment 2 Robert Kaiser 2009-10-09 07:08:43 PDT
Created attachment 405472 [details] [diff] [review]
Use relnotes instead

This makes us go to the relnotes on first run (redirects to the "get involved" page for nightlies).
I know this is a locales file, but it doesn't break anyone and if locales don't adapt to it, there's nothing bad that happens, so IMHO it should be OK even with a hard string freeze in place.
Comment 3 Robert Kaiser 2009-10-09 07:09:29 PDT
Comment on attachment 405472 [details] [diff] [review]
Use relnotes instead

oops, want 2.0 approval, have no time machine around right now to push into beta.
Comment 4 Robert Kaiser 2009-10-13 07:04:48 PDT
Pushed as
Comment 5 Peter Weilbacher 2009-10-14 15:49:15 PDT
Hmm, I am now directed to that exact URL on first-run (tried with Mozilla/5.0 (OS/2; U; Warp 4.5; en-US; rv: Gecko/20091014 SeaMonkey/2.0pre), with %VERSION% still as part of the URL! This leads to a 400 Bad Request. Should that not somehow get replaced by the actual version number? Or is there something server-side still missing?
Comment 6 Robert Kaiser 2009-10-14 15:57:42 PDT
Uh, that doesn't sound good... are we not using the urlformatter like Firefox does?
Comment 7 Robert Kaiser 2009-10-14 16:10:30 PDT
Right, we don't. reopening. I should have a fix to use the formatter here.
Comment 8 Robert Kaiser 2009-10-14 16:25:09 PDT
Created attachment 406341 [details] [diff] [review]
use the formatter

This patch makes us use the formatter for this one, I tested it with a profile that correctly ended up with the following output:
Document loaded successfully
(and I was correctly redirected to the get-involved page)
Comment 9 Robert Kaiser 2009-10-14 16:38:48 PDT
Thanks for the fast r/a, pushed as
Comment 10 Robert Kaiser 2010-04-20 08:39:24 PDT
*** Bug 144706 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.